Bug 499905 - regression - no more kqemu option, qemu instances use -no-kqemu
regression - no more kqemu option, qemu instances use -no-kqemu
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 15:32 EDT by scientes-bugs+redhat-a1fff8cf024e022a6ab3
Modified: 2010-05-25 11:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 11:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-08 15:32:26 EDT
Description of problem:
I have a server that doesnt have VT/AMD-V extensions. Xen would be overkill. I noticed that in version ~0.5 there was a kqemu option but it is no longer available for local or remote domains. when choosing qemu it sends -no-kqemu as a parameter making kqemu not run. kqemu is alot faster than qemu.

Version-Release number of selected component (if applicable):
virt-manager: 0.7.0
libvirt (local): 0.6.1
libvirt (remote, without virt extentions): 0.4.0

both hosts have kqemu installed, built and loaded 

How reproducible:


Steps to Reproduce:
1. get to step 5 of new VM walkthrough
  
Actual results:

2. no kqemu under "Virt Type"
3. when a qemu instance is run -no-qemu can be seen via 'ps'

Expected results:

2.some way to run kqemu
Comment 1 Cole Robinson 2009-05-09 18:59:14 EDT
Is there a kqemu rpm installed, or is it installed by hand? If by rpm, please include the output of 'rpm -ql kqemu'.

Also, provide the output of:

virsh capabilities
ls /dev/k*
Comment 2 scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-31 05:30:12 EDT
For outputs see #499056.
Comment 3 Cole Robinson 2009-06-15 14:16:39 EDT
According to your capabilities output, libvirt isn't finding kqemu, therefore virt-manager doesn't list it as an install option. But your 'ls' output shows /dev/kqemu.

Does 'service libvirtd restart' change the output of 'virsh capabilities | grep kqemu' ?

Re-assigning to libvirt.
Comment 4 Daniel Berrange 2009-11-13 06:20:07 EST
Can you confirm Cole's question from comment #3.

Note You need to log in before you can comment on or make changes to this bug.